%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 36  x86_64 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.9.1
%define REL 17
Release:	%{REL}

License:	GP5

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 36 x86_64-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Wed Sep 28 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-17
* Release 1.9.1-17
	Kernel modules were added for the following kernels:
		5.19.11-200
		5.19.10-200

* Wed Sep 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-16
* Release 1.9.1-16
	Kernel modules were added for the following kernels:
		5.19.9-200

* Wed Sep 14 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-15
* Release 1.9.1-15
	Kernel modules were added for the following kernels:
		5.19.8-200
		5.19.7-200

* Wed Sep  7 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-14
* Release 1.9.1-14
	Kernel modules were added for the following kernels:
		5.19.6-200

* Wed Aug 31 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-13
* Release 1.9.1-13
	Kernel modules were added for the following kernels:
		5.19.4-200
		5.18.19-200

* Wed Aug 24 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-12
* Release 1.9.1-12
	Kernel modules were added for the following kernels:
		5.18.18-200

* Wed Aug 17 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-11
* Release 1.9.1-11
	Kernel modules were added for the following kernels:
		5.18.17-200

* Wed Aug 10 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-10
* Release 1.9.1-10
	Kernel modules were added for the following kernels:
		5.18.16-200
		5.18.15-200

* Wed Jul 27 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-9
* Release 1.9.1-9
	Kernel modules were added for the following kernels:
		5.18.13-200

* Wed Jul 20 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-8
* Release 1.9.1-8
	Kernel modules were added for the following kernels:
		5.18.11-200

* Sat Jul  9 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-7
* Release 1.9.1-7
	Kernel modules were added for the following kernels:
		5.18.10-200
		5.18.9-200
		5.18.7-200
		5.18.6-200

* Tue Jun 21 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-6
* Release 1.9.1-6
	Kernel modules were added for the following kernels:
		5.18.5-200
		5.17.14-300

* Wed Jun 15 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-5
* Release 1.9.1-5
	Kernel modules were added for the following kernels:
		5.17.13-300

* Wed Jun  8 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-4
* Release 1.9.1-4
	Kernel modules were added for the following kernels:
		5.17.12-300

* Wed Jun  1 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-3
* Release 1.9.1-3
	Kernel modules were added for the following kernels:
		5.17.11-300

* Wed May 25 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-2
* Release 1.9.1-2
	Kernel modules were added for the following kernels:
		5.17.9-300
		5.17.8-300

* Sun May 15 2022 Lawrence R. Rogers <lrr@cert.org> 1.9.1-2
* Release 1.9.1-2
	Initial release. Kernel modules were added for the following kernels:
		5.17.7-300
		5.17.6-300
		5.17.5-300
